Bug 1417896 - Test case failure: /CoreOS/mysql/testsuite - main.audit_plugin_2
Summary: Test case failure: /CoreOS/mysql/testsuite - main.audit_plugin_2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1387162
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 11:29 UTC by Karel Volný
Modified: 2017-08-09 19:57 UTC (History)
5 users (show)

Fixed In Version: community-mysql-5.7.19-1.fc26 community-mysql-5.7.19-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1387162
Environment:
Last Closed: 2017-08-09 15:56:28 UTC


Attachments (Terms of Use)

Description Karel Volný 2017-01-31 11:29:01 UTC
the same with community-mysql-server-5.7.17-1.fc25.x86_64

+++ This bug was initially created as a clone of Bug #1387162 +++

Version-Release number of selected component (if applicable):
rh-mysql57-mysql-server-5.7.15-2.el6.x86_64

Actual results:
main.audit_plugin_2                      [ fail ]
        Test ended at 2016-10-19 10:01:02

CURRENT_TEST: main.audit_plugin_2
mysqltest: At line 1594: query 'SELECT * FROM INFORMATION_SCHEMA.TABLES' failed: 3164: MYSQL_AUDIT_QUERY_STATUS_END instead of MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUD

The result from queries just before the failure was:
< snip >
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_QUERY_STATUS_END;sql_command_id="0";';
safe_process[6378]: Child process: 6379, exit: 1

 - the logfile can be found in '/var/opt/rh/rh-mysql57/lib/mysql/testGqV/log/main.audit_plugin_2/audit_plugin_2.log'

Retrying test main.audit_plugin_2, attempt(2/3)...

main.audit_plugin_2                      [ retry-fail ]
        Test ended at 2016-10-19 10:01:03

CURRENT_TEST: main.audit_plugin_2
mysqltest: At line 1594: query 'SELECT * FROM INFORMATION_SCHEMA.TABLES' failed: 3164: MYSQL_AUDIT_QUERY_STATUS_END instead of MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;MYSQL_AUD

The result from queries just before the failure was:
< snip >
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_GLOBAL_VARIABLE_GET;<IGNORE>;;'
                                     'MYSQL_AUDIT_QUERY_STATUS_END;sql_command_id="0";';
safe_process[6420]: Child process: 6421, exit: 1

 - the logfile can be found in '/var/opt/rh/rh-mysql57/lib/mysql/testGqV/log/main.audit_plugin_2/audit_plugin_2.log'

Test main.audit_plugin_2 has failed 2 times, no more retries!

Comment 1 Fedora Update System 2017-07-25 13:17:42 UTC
community-mysql-5.7.19-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 2 Fedora Update System 2017-07-25 22:49:55 UTC
community-mysql-5.7.19-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a827cf42a

Comment 3 Fedora Update System 2017-07-25 22:54:38 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7c039552fa

Comment 4 Fedora Update System 2017-07-26 01:19:58 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 5 Fedora Update System 2017-08-09 15:56:28 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-08-09 19:57:24 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.